﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define critus = Character("Critus")
define matria = Character("Matria")
define larist = Character("Larist Klarkhet")
define plutokan = Character("Plutokan")
define eutechos = Character("Eutechos")
define ankletem = Character("Ankletem")
define hermagoras = Character("Hermagoras")
define yassib = Character("Yassib")
define host = Character("Host")
define amenemhet = Character("Amenemhet")
define melanthiseket = Character("melanthiseket")
define lykos = Character("Lykos")

image white = Solid("#fff")

screen city_map():
   imagemap:
      ground "images/citymap.png"
      if temple == 0:
         hotspot (178, 194, 248, 113) action Jump("temple")
      if market == 0:
         hotspot (286, 358, 148, 210) action Jump("market")
      if trader == 0:
         hotspot (492, 200, 212, 235) action Jump("traders")
      if bar == 0:
         hotspot (651, 471, 333, 139) action Jump("bar")
      if underground == 0:
         hotspot (893, 129, 241, 162) action Jump("underground")

screen country_map():
   imagemap:
      ground "images/countrymap.png"
      hotspot (410, 541, 234, 178) action Jump("try_enter_egypt")
      hotspot (4, 94, 208, 206) action Jump("enter_mycanaea")
      hotspot (696, 442, 205, 205) action Jump("enter_canaan")

# The game starts here.

label start:
    play music "music/ice_trek3.mp3"

    $who = 0
    $trader = 0
    $market = 0
    $underground = 0
    $bar = 0
    $temple = 0
    $count = 0

    scene black
    with dissolve
    with Pause(1)

    show 1000_ages
    with dissolve
    with Pause(2)

    scene black 
    with dissolve
    with Pause(1)


    scene intro_oldworldmap
    with dissolve

    "The year is 1550 BC."

    "Atlantis overlooks all corners of the Mediterranean Sea, it is overshadowed only by the rising power and technology of Egypt to the south,"

    scene intro_atlantian_tech

    "Atlantean Skyfishers can fly far into the Atlantic Ocean. Deepfishers can reach far below the most advanced Mycenaean ships."
    "For Atlanteans, prosperity and peace have gone hand in hand."


    "Rumors of another power far across the Atlantic have existed for centuries."
    "One lone Atlantean, Larist Klarkhet, has been ranting for weeks about an imminent threat making its way across the Western Ocean."

    scene intro_battle

    "These rantings have not been in vain.  Members of the Atlantean Council have heard truth in his mad ravings and have dispatched two agents to investigate far into the Western Ocean."

    scene white

    stop music

    jump pick_player


label pick_player:
    menu:
       "Critus":
          jump pick_male
       "Matria":
          jump pick_female
       "Larist Klarkhet":
          jump pick_citizen

label pick_male:
     show critus at left
     critus "A young agent in the Atlantean Shore Defense.  Lacking the political help of powerful parents, this orphan has defied the odds and secured a place in the secretive service."
     critus "Many see him as expendable, a role that often puts him in the most dangerous and clandestine missions."
     critus "He's not sure if he survives because of spite or an iron will, but for whatever reason he keeps coming back to Atlantis intact."

     critus "Critus is at his best in a close quarters fight or in a stealthy infiltration.  He doesn't like fair fights because they only happen when you don't think it through."
     critus "Survival is often decided in fractions of a second, so he seldom has time to think about the big picture or elaborate stratagems."
     critus "He takes a similar approach to communication with anyone friend or foe."

     menu:
        "Select Critus":
           $who = "critus"
           hide critus
           jump intro_mission_critus
        "Back":
           hide critus
           jump pick_player

label pick_female:
     show matria at left
     matria "Matria's mother is a force in the Atlantean Council.  Some think she was placed in ASD as a way to groom her to be her mom's personal investigator."
     matria "Whatever the reason, she has excelled in the ASD, but must remain in the shadows due to the patriarchal order of the day."
     matria "Her loyalty to the Council is unquestionable so she often finds herself on missions with agents who may need to be \"Corrected\" to meet mission goals."
     matria "Matria is political, crafty and able to think many, many moves ahead.  She is comfortable in hand-to-hand combat, but prefers to solve problems before they get that immediate."
     matria "An accident is better than a murder.  A strike from a Skyfisher is better than the noise and stench of an army."
     matria "She would rather get the information she needs without the subject even knowing they gave it up."

     matria "She doesn't plan on being anyone's investigator but her own"

     menu:
        "Select Matria":
           $who = "matria"
           hide matria
           jump intro_mission_matria
        "Back":
           hide matria
           jump pick_player

label pick_citizen:
     show larist at left
     larist "Larist has long been plagued by strange ideas and dreams of a far away land where dinosaurs walk among men and lizards walk on two feet."
     larist "The dreams have gotten stronger and within the last month have made sleep and daily life all but impossible."
     larist "The dreams have also gotten very specific.  A creature as large as a mountain is crossing the ocean faster than a tidal wave."
     larist "It's cool gaze fixated on the pearl of the Mediterranean.  This creature is the end of the world and it is more powerful than any army that could stand against it."

     larist "He must make the Council see the danger and he must make them act.  In the streets of Atlantis he's heard of fantastic Mycenaean Hydras, amazing Cypriat weapons and Egyptian tools that come from the stars themselves."
     larist "Surely, there is something that can be used to destroy this sea beat."

     larist "If they can't find it, he will do it himself."

     menu:
        "Select Larist Klarkhet":
           $who = "larist"
           hide larist
           jump intro_citizen
        "Back":
           hide larist
           jump pick_player

label intro_mission_critus:
   scene black
   with dissolve
   with Pause(1)

   play music "music/jellyfish.mp3"

   scene recon_mission1
   "Skyfishers weren't made for long flights, really.  Given the batteries are charged and the thermal chambers are working there is no reason why you can't fly to the end of the world."
   "Still, the Makers don't always use their creations and don't know what kind of seat you need for sitting in a small box for more than 24 hours."
   "The roar of the wind outside and the constant blue-grey of the ocean aren't doing much to keep you awake either, but you know that any second could reveal the monstrosity that the madman raved about."

   "So it goes for hours and hours."
   "You look out the three corners of your box.  You look over the glowing glass of your Pulse Monitor."
   "You close your eyes and think of the broiled fish feast that will be your first stop after you climb down from the Skyfisher."

   "Then, a faint blur at the edges of your Pulse Monitor range.  Well out of visual.  The blur is massive, as large as a small island but your monitor won't see land masses."
   "The blur is moving just below the surface of the ocean."

   "Two smaller blurs appear just ahead of the shape, moving at about the same speed and just as high as the shape is deep."

   menu:
      "Do you fly closer?":
         jump fly_closer
      "Do you return to Atlantis with this information?":
         jump return_atlantis

label intro_mission_matria:
   scene black
   with dissolve
   with Pause(1)

   play music "music/jellyfish.mp3"

   scene recon_mission1
   "Given the batteries are charged and the thermal chambers are working there is no reason why you can't fly a Skyfisher to the end of the world."
   "Which makes you wonder why no one has done that very thing."
   "There's no reason Atlantis has to stop at the Pillars of Gibraltar."
   "The Egyptians are busy with the East, Atlantis would be well-served by reaching to the West as far as they can go."

   "So it goes for hours and hours."
   "You look out the three corners of your box and wonder why they couldn't have bothered to make a window that looks behind."
   "You look over the glowing glass of your Pulse Monitor."
   "Even if you never find this thing, you could very well finally find the land rumored to sit across the Western Ocean."
   "That would make this useless errand well worth the days you will spend in the air and eating meals that look like boat tar."

   "Then, a faint blur at the edges of your Pulse Monitor range.  Well out of visual."
   "The blur is massive, as large as a small island but your monitor won't see land masses."
   "The blur is moving just below the surface of the ocean."

   "Two smaller blurs appear just ahead of the shape, moving at about the same speed and just as high as the shape is deep."
   menu:
      "Do you fly closer?":
         jump fly_closer
      "Do you return to Atlantis with this information?":
         jump return_atlantis

label fly_closer:
   scene recon_mission2
   "The shape is moving faster than any boat, even a Deepfisher, and is not changing course with wind or tide."
   "As you get closer, the shape becomes more defined, so the blur becomes a thing with a head, the bulk of appendages and tail that trails far behind for the length of twice its torso."
   "Not too much later, you can see the part of the ocean where it should be."
   "The day is hazy and a bit cloudy so your eyes can see a faint shadow in the distant waters."
   "Occasionally twin spots in the air glint in the sun as they fly past a break in the clouds."
   "They appear to be leading the sea creature onwards."

   menu:
      "Do you fly closer?":
         jump fly_closer2
      "Do you return to Atlantis with this information?":
         jump return_atlantis

label fly_closer2:
   scene recon_mission2
   "Not more than a few minutes pass and you no longer need the Pulse Monitor to see the creature in the water."
   "A long shadow, a massive whale with arms and legs, divides the ocean into two wide wakes of foam."
   "Above it, the two shapes look like the shining armor plates of the Phoenicians stacked together and thrown into the air. They are getting larger much faster than the creature below."
   "They are getting further away from it."
   "The Pulse Monitor shows they are moving towards you and have left the creature behind."

   menu:
      "Do you fly closer?":
         if who == "critus":
            jump fly_closer_male3
         else:
            jump fly_closer_female3
      "Do you return to Atlantis with this information?":
         jump return_atlantis

label fly_closer_male3:
   "You have never seen another craft in the air besides a Skyfisher."
   "The silver plates are moving faster than you ever could and they see somehow lighter than the clouds above them."
   "You have every reason to think they are going to attack you."
   "How could they even do this? A Skyfisher's rockets can barely hit something on the ground sitting still."
   "What sort of weapon could hit another aircraft? What can you do to avoid them?"

   "You don't know how big they are, but it is clear they will be upon you in seconds."

   "You drop the nose of the Skyfisher and turn hard toward the north, trying to gain speed as you flee back to Atlantis."
   "In seconds you've gained the speed but lost all sight behind you."
   "You can only assume the plates are still following you."
   "You pull the cables to your right and left six times, and six rockets screech and smoke off toward the ocean."
   "You want to keep two in case you get the chance to shoot back."

   "The Skyfisher lifts and leaps forward having lost the weight of the rockets."
   "You maintain a steady descent toward the horizon, inching faster forward with every degree you drop."
   "This could work."

   jump bad_end_toclose

label fly_closer_female3:
   "You have never seen another craft in the air besides a Skyfisher."
   "The silver plates are moving faster than you ever could and they seem lighter than the clouds above them."
   "You have every reason to think they are going to attack you."
   "How could they even do this?"
   "A Skyfisher's rockets can barely hit something on the ground sitting still."
   "What sort of weapon could hit another aircraft? What can you do to avoid them?"
   "You don't know how big they are, but it is clear they will be upon you in seconds."
   "You drop the nose of the Skyfisher and turn hard toward the north, trying to gain speed as you flee back to Atlantis."
   "In seconds you've gained the speed but lost all sight behind you."
   "You can only assume the plates are still following you."
   "You pull the cables to your right and left eight times, and eight rockets streak off toward the ocean."
   "You will need all the speed you can pull out of the fake bird."
   "The Skyfisher lifts and leaps forward having lost the weight of the rockets."
   "You maintain a steady descent toward the horizon, inching faster forward with every degree you drop."
   "This could work."

   jump bad_end_toclose

label bad_end_toclose:
   stop music

   scene bad_end_toclose

   "Then, a wall of fire at your back. Heat sucks you backwards out of your box and briefly into the open sea air."
   "The flames reach you long before gravity does."

   jump end

label intro_citizen:
   scene black
   with dissolve
   with Pause(1)

   scene intro_citizen

   "You can't remember the last time you slept in your bed."
   "You managed an hour with your eyes closed, slumped over your humble table, just over a day ago."
   "That's all the time you had before you could see the terrible behemoth rising over the towers of Atlantis once again."
   "No mere dreams, these visions are stronger than the light of day and bring with them terrors more real than anything you've seen before."
   "You can smell the stench of seawater riding the wind as it sweeps ahead, sometimes carrying hints of the hundred things rotting in its belly."
   "Every step is a tremor, and buildings fall under it."
   "Worse than a nightmare, you know this is real. This is coming."
   "Worse, you are the only one in all of Atlantis that knows this."

   "The behemoth will be destroy everything you know of the world in 14 days."

   "You need to do something."
   "You want to run to the airdock and steal a Skyfisher and take it to the behemoth itself."
   "They can't be that hard to fly, and you have a feeling you know exactly where the Behemoth is."
   "This is a little crazy, but everyone thinks you are crazy anyway."
   "They won't listen to you. You need to it yourself."

   "Maybe someone will listen to you."
   "You still have friends, like Ankletem,  in the Council and they know you aren't completely nuts."
   "Ankletem might believe you enough to at least check it out."
   "Maybe with enough warning they can figure out what to do."

   "Maybe you are crazy. Maybe you should just drink more wine and hope for sleep to take you."

   menu:
      "Do you steal the Skyfisher?":
          jump steal_airship
      "Do you go to the Council?":
          jump first_visit_temple
      "Do you drink all the wine?":
          jump drink_wine

label steal_airship:

   scene steal_airship

   "Most Atlanteans don't know where the Skyfishers are or what they are, and no other nation can fly, so the both of the airddocks are impossible to find unless you know what you are looking for."
   "This kind of obscurity provides most of the security for this strange machine."
   "The fact that most people aren't crazy enough to want to fly is another."

   "As it happens, the two guards detailed to watch the Skyfisher are busy throwing bones inside their hut at the end of the airdock."
   "You are not a young man, but you served your time in the ASD and can still remember what it is like to creep silently upon a foe."
   "You follow the shadows, watch your step and take as shallow of breaths as you can muster."
   "One breath, one step and another and soon your hand is on the handle of Skyfisher's cabin."
   "The door creaks, but the guards are drunk and boisterous."
   "You climb in with no notice from them."
   "There are a few glass dials, a steering stick, another stick and several buttons arranged on a metal plate that reaches from one side of the box to the other."
   jump buttons

label buttons:
   "There are two big buttons. One is blue. One is green."

   menu:
      "Do you press the blue button?":
         jump blue_button
      "Do you press the green button?":
         jump green_button

label blue_button:
   "The large tubes ducked into the frame just above your seat warm and whine to life."
   "You can hear the air getting sucked into them, then the Skyfisher pulls forward slowly at first but within a few feet you are rolling down the airdock faster than a chariot."
   "You must do something to get the craft into the sky."
   "You push the stick forward, which will make it go further into the sky and faster."
   "The Skyfisher does not do this. Instead it bends forward and pushes harder into the ground."
   "For some reason, forward on the stick means go lower, not higher. The Makers are sometimes very confused."
   "You pull the stick gradually back and the front of the Skyfisher tilts upwards toward the sky."
   "The craft jumps upwards and the ground below is falling away faster and faster."
   "You hold the up down stick tightly and then move the stick to your right forward."
   "The whine of the engines turns into a roar and the Skyfisher jolts you back into your seat as the land turns into the sea in a blur of blue."

   scene white with fade
   with Pause(2)

   "You are a crazy person and you are flying."
   "For a few hours, at least..."

   scene black with fade

   scene bad_end_flying

   jump end

label green_button:
   "Nothing happens."
   "You push the button repeatedly, and after listening closely you can hear the distant click of some mechanism beneath your feet."
   "The Makers are sometimes extremely confused."
   jump buttons

label first_visit_temple:

   scene visit_temple
   play music "music/harmony_loneliness.mp3"

   "As you come over the low rise and you can see the sixteen council members are arrayed in their circle, with the High priest seated on his dais at the northern point of the council."
   "The Atlantean Council is in session this morning."
   "This was a matter in the God's hands as you no longer know what day it is and even the time of  day is guesswork."
   "Ankletem sees you stumbling down the rocky path, makes eye contact, and then looks as far away as he can."
   "You are sweating and you haven't washed your tunics in weeks."
   "Maybe you misjudged the strength of your bond."
   "Might as well go for the end game."

   show larist at left

   larist "Council! Council!"
   larist "You must stop everything and listen to me now.  You must!"

   show plutokan at right

   plutokan "You give us no choice, now, do you?"
   "He laughs and turns to High Priest Eutechos for support."
   "Eutechos smiles politely back."

   hide plutokan
   show eutechos at right 

   eutechos "Let us hear Larist out, he has a long history of offering his valuable insight to this august body."
   eutechos "How are you feeling today Larist?"

   larist "I am terrified."
   larist "I am haunted by dreams of a Behemoth, swimming across the Western Sea on its way to destroy the whole world."
   larist "This is no more monster, this is a gargantuan thing which is as much as weapon as a wild creature."
   larist "This Behemoth is coming for all of us and it will be here in less than two weeks now!"

   hide eutechos
   show plutokan at right

   plutokan "How can you say this for certain, Larist?"

   larist "I can see it all, my friend."
   larist "I can see the waves behind it, I can smell the spray from the ocean and I can see the end of the world in it's eyes."

   hide plutokan
   show ankletem at right

   ankletem "You should have been a poet, my friend."

   larist "It is all real and it will be here in weeks."
   larist "This doom is coming and you won't stop it."
   larist "I will!"

   hide ankletem
   show eutechos at right

   eutechos "Larist, I have forgotten any war time heroics you may have achieved."
   eutechos "Help me understand what we could do to defend our island from this Behemoth."

   larist "I do not know.  I have no idea."
   larist "It is as large as a mountain, and just as terrifying to behold."
   larist "What can we do against it? How can we defeat such a monster as this?"
   larist "Perhaps we can gather a thousand Pegasi and attack as a swarm of crows."

   hide eutechos
   show plutokan at right

   plutokan "I doubt the Mycaneans would be so generous these days."
   plutokan "We would need to feed them for a decade!"

   hide plutokan
   show eutechos at right

   "Eutechos stands and waves his hands to gather the eyes of the council."

   eutechos "Let us recall that it was Larist who told us first that the Phoenicians would bring swords before they brought grain."
   eutechos "Let us not forget that it was Larist who made us aware of the Sea Snakes that swallowed many of our poor fishermen."
   eutechos "He may not be a member, but he is a brother in spirit and ought to be heard."

   "Eutechos waves over the circle and lets his hand rest in the direction of Ankletem."
   "He curls his fingers towards himself, and Ankletem rises in response."

   hide eutechos
   show ankletem at right

   ankletem "Your highness,"

   hide ankletem
   show eutechos at right

   eutechos "Larist is an old friend of yours, please speak with him in detail about the Behemoth."
   eutechos "If you find something worthwhile, you will take up the matter with ASD."

   hide eutechos
   show ankletem at right

   ankletem "Your highness."

   hide ankletem

   "..."
   "You linger in the hills after the meeting."
   "A small tree offers enough shade to cool you from the noon sunlight, but the respite is an illusion."
   "You can feel the Behemoth closer, not stopping to eat or rest."
   "It is like a monster thrown from a sling, a missile that will only stop when it has destroyed everything."
   "There is no time to wait or enjoy anything. Ankletem's shadow falls over you."

   show ankletem at right

   ankletem "I will listen to you, my friend.  I will see what must be done."
   ankletem "However, please never speak of this to me again and please do not return to the council."
   ankletem "If you are as terrified as you say you are, if you are as certain as you say you are, you could be well into Mesopotamia in two weeks."
   ankletem "If not, I will see you as soon as I know more."

   "You can flee and hope to escape the certain doom that is coming to Atlantis.  You can wait, but Ankletem is as much a politician as a warrior."
   "He may not even get to the problem for three weeks."
   "Time is running out.  Every second the Behemoth is nearer."

   hide ankletem
   hide larist
   stop music

   menu:
      "Do you flee to Mesopotamia?":
         jump flee_mesopotamia
      "Do you take matters into your own hands?":
         jump meet_agents

label flee_mesopotamia:

   scene flee_mesopotamia

   "It takes you almost a month to get to Mesopotamia, the trip was a lot rougher than you though it would be."
   "You find a nice cozy cave and live out the rest of your days in fear of the terror that is coming."

   jump end

label drink_wine:

   scene black

   "You drank all the wine."
   "You may have even stumbled out and drank more of the wine, but the Behemoth followed you all the way down into the darkness of your stupor."
   "You open your eyes again and the sun is dipping down over the horizon, where the Behemoth is certainly slouching onwards."

   scene drink_wine

   "You can see it clearly."
   "A vast maw that sucks in seawater and anything alive in front of it."
   "A wave of death."

   scene black with fade

   "You can see it.  You can feel it still.  Now you have a hangover and the Behemoth is one day closer."

   menu:
      "Do you steal the Skyfisher?":
         jump steal_airship
      "Do you go to the Council?":
         jump first_visit_temple
      "Do you drink more wine?":
         jump drink_more_wine

label drink_more_wine:
   "The Behemoth and the hangover wouldn't let you sleep, so you stumbled in the twilight to a nearby wine brewer who was all too happy to trade some rings for two jars."
   "There is a saying among the Atlanteans, that one can fall into their jars if they are not too careful."

   scene drink_wine
   "As it happens, you fall into both of your jars."
   "The Behemoth follows you as you stumble from corner to corner, but it is slow and distant."
   "The weather is nice. The ground is warm and soft. There are trees to sleep under."
   "You feast on fish and then you sleep for hours of warm darkness."

   "Then the ground rumbles beneath you, as if mighty Atlantis has been dropped from a great height."
   "It is enough to make you remember why you were in the jars in the first place."
   "You manage to stand, wobble and step away from the stone wall that offered shelter from the sun."

   "Now there is no sun. There is smoke. There is fire. There are screams."
   "A howling wind blows dust and broken rock through the streets."
   "The shadow that falls across the island is not a cloud, it is from a creature that towers above you and grimaces down as you would regard a goat fly."
   "Clouds of dust and red-tinted smoke reach up from ground."

   "You feel no terror. You feel only relief that the Behemoth has finally arrived."

   scene black with fade

   "Soon this torment will be over and Atlantis will sleep with you in the warm dark deep."

   scene bad_end_drunk

   jump end

label meet_agents:
   "If there is anyone in all of Atlantis that can muster a weapon strong enough to lance the Behemoth, it is the \"Mad Maker\" Melanthiseket."
   "One of the few men regarded as crazier than you but still respected by the Council."
   "His home is in one of the newer two level buildings, another sign the respect given as long as he keeps his distance."
   "It's not too far to walk from the Council site and he might offer a quick solution to the doom that is less than a two weeks away."

   scene meet_agents

   "You knock on the door with increasing urgency but there is no response."
   "You call out his name, bang the door, make it clear this is a very important matter and not to be slept through."
   "Still, no feeble or enraged responses."

   "\"Larist!\" You hear a voice yell from behind you."
   "You look back to see a man and a woman who look stronger and faster than your average Atlantean."
   "Their posture is military and they regard you as a bird of prey judges a gopher."
   "These are ASD and they know your name. Has Ankletem sent them?"

   show larist at right
   larist "I know you, you are ASD.  I've seen you with Ankletem."

   critus "I am here for Melanthiseket."

   show critus at left
   "You look him over."
   larist "I suppose you would. I suppose Ankletem would send you here after all."
   larist "Do you know how many teeth the Behemoth has?"

   critus "I haven't stopped to count."

   larist "Let me tell you he has forty on each row for a grand total of eighty."
   larist "Each of them are larger than a man. The Behemoth can bite through a building as if it were a cracker."
   larist "Atlanteans would be nothing more than a soft filling. I can tell you more."
   larist "I can tell you how many claws it has and how far it can see and I can even tell you what it's name is."

   critus "So tell me."

   larist "You must let me help, Melanithiseket is not home, anyway."

   hide critus
   hide larist
   scene black

   jump pick_country

label return_atlantis:
   if who == "critus":
      jump return_atlantis_critus
   else:
      jump return_atlantis_matria

label return_atlantis_critus:
   stop music

   "You flew the Skyfisher as fast as it would fly back to the Atlantean airdock."
   "After landing you make your way down the path toward a cluster of stone buildings which house the ASD secret command staff."
   "Ankletem emerges from the largest building in the center."
   "He waves you inside."

   scene command
   show ankletem at right

   ankletem "You saw something?"

   show critus at left

   critus "Yes, I did."
   critus "There is a creature out there, and it is as big as a fleet of Deepfishers at least."
   critus "Someone is guiding it towards us."

   ankletem "Guiding it?"

   critus "Yes, and they have their own...  Skyfishers."
   critus "I didn't want to get too close."
   critus "They were like nothing I have seen before.  Like Phoenician shields, but in the air."

   "Ankletem turns to look towards the West, as if he could somehow see the creature now."
   "Worry has replaced his bemused smile.  This mission is no longer a practice drill."

   ankletem "Can we stop it?"

   critus "I don't know how."
   critus "It's very big.  Godly big and it would take every Skyfisher and Deepfisher we have just to match it's size."
   critus "Maybe our coastal rockets and harpoons would help, but there will be destruction."
   critus "It's not a fair fight at all."

   "Ankletem tightens his tunic belt as if prepping for a fight himself."

   ankletem "How long do we have?"

   critus "With the flight time back, I'd say nine days at the most."
   critus "Assuming it can't go faster."

   ankletem "I will tell Eutechos."

   "He places his hand on your shoulder."

   ankletem "We need you to find something in the world that can stop Behemoth."
   ankletem "Do it quietly, but do it without fail and without concern."
   ankletem "We can talk to nations, we can't talk to destruction incarnate."

   ankletem "Do your job, Critus."

   hide ankletem
   hide critus
   scene black

   jump meet_partner

label meet_partner:
   if who == "critus":
      "As you are ready to leave, Ankletem tells you that you will be on mission with Matria."
      "What he really means is that the Council wants to keep an eye on you and make sure you get it done the right way."
   else:
      "You find Critus waiting in the hall."

   "Your time is very short, you will only be able to visit 3 locations.  Please choose wisely."

   call screen city_map()

label return_atlantis_matria:
   stop music

   "As the length of the airdock stretches out below your nose, you push the green button on your panel."
   "The whine of the thermal chambers settles into just the rush of the wind under your wings."
   "A long steady glide brings you down onto the green grass."
   "The skids drag you into a stop at the end of the airdock."

   "A short walk brings you to the command building for the ASD outpost nearby."

   "Ankletem said he would waiting for you there, and the scent of fresh tea confirms this is the case."
   "You knock on the outside wall and lean into the command building."
   "He looks up from his tea and scrolls and smiles when he sees you."

   scene command
   show ankletem at right

   ankletem "Have a nice flight, Matria?"

   show matria at left

   matria "Not really."
   matria "The seats haven't gotten any better, the box hasn't gotten any warmer and I have to tell you that there is something out there and it is heading toward Atlantis."
   matria "I don't know if it is a boat or beast but it is moving fast."
   matria "There are sky craft guiding it.  This is a threat."

   "Ankletem drops his smile."
   ankletem "Do you have any ideas?"

   matria "I think we should find a way to get rid of it."
   "You smile but he doesn't appreciate your humor."

   ankletem "Do you have any ideas how to get rid of it?"

   matria "Is this my mission?"

   ankletem "I want you to link up with Critus and work together to find a way to stop this Behemoth."
   ankletem "Watch him, guide him and correct him if he gets too far off mission."
   ankletem "Remember that coming back alive is part of the job."

   "Ankletem's smile returns just a little."

   matria "Because my mother would kill you if I don't?"

   ankletem "You are a crucial team member and I want to see you be around to fight the Egyptians when that day comes."

   matria "The Behemoth would do that very well, Ankletem."

   ankletem "You are very right.  May the Gods guide you."

   hide ankletem
   hide matria
   scene black

   jump meet_partner

label market:
   $count += 1
   $market = 1

   "A chariot for hire takes you to the northern side of the island for the cost of a ring."
   "You could flash your ASD medallion and ride for free, but Ankletem wanted this to be quiet."
   "You pay the driver and walk down a clay path that leads to the collection of tented stands that hold everything the Myceneans chose to sell in Atlantis."

   scene market
   play music "music/ben_and_his_bike.mp3"
   
   "Stone buildings sit at the corners of the market, they are reserved for Atlantean marketeers who make the trip to Mycenea themselves."
   "A strange and brave sort of traveller, but not one that would be useful here."
   "Only the Myceneans would know what lurks in the hills above Athens and Thebes."
   
   if who == "critus":
      "Hermagoras is your first contact. You buy his olive oil when time and rings allow it."

   else:
      "Critus turns to you."
      show critus at left

      critus "We need to find Hermagoras. I buy his oil when Ankletem manages to give me the rings he owes me."
      critus "He has a stand right over here."
   
   "You turn into his alley and a few steps later you find him waving to you from behind a stack of oil and wine jars."
   "He is tanned and looking well-fed.  He has certainly been home recently."
  
   show critus at left
   critus "Hermagoras, my friend!"

   show hermagoras at right
   hermagoras "Critus! Have you come for wine and oil today?"
   hermagoras "Mine is the best."

   critus "Your oils are the best, as you know.  I am not a fan of the Mycenean wine."

   hermagoras "So it is!"

   if who == "critus":
      critus "I don't need either today, my friend."
      critus "I would like to ask you about your home and it's creatures."
   else:
      matria "I have never been to Mycenaea, my friend. Can you tell me where I would go to see the most beautiful sights?"
      hermagoras "Oh, that is easy."
      hermagoras "If you are travelling and wish to see the whole of Mycenaea, go to Athens and look to the north."
      hermagoras "You will see the hills and the trees."
      "You smile broadly, as if imagining it."
      hermagoras "If you are lucky, then you will see something truly wonderful."
      matria "Thank you, Hermagoras. I think that is all we need right now."
      "You wink at Critus, in case he somehow missed what just happened."
   
      hide critus
      hide hermagoras
      stop music
      scene black

      if count < 3:
         call screen city_map()
      else:
         jump pick_country

   "Hermagoras laughs heartily."
   hermagoras "Oh, the monsters.  Maybe you have enough Mycenaean wine already, Critus."

   critus "Tell me about the monsters."

   hermagoras "Is this for business, my friend?"

   critus "This is for none of your business, I am afraid"
   "You smile to soften it a bit."

   hermagoras "Oh."
   "Hermagoras looks around the market absently.  He is not offended, it seems, but certainly choosing his words carefully."
   hermagoras "I cannot say what I have seen, but outside of the cities, there are many strange things to be found in the hills and in the skies of Mycenaea."
   hermagoras "There are creatures that are the best and worst of many animals at once."
   hermagoras "There are creatures that put fear into the largest bear or boar."
   hermagoras "There are horses that fly as birds. Good men will swear to all of these things."
   hermagoras "As fantastic and as legendary as they are, they are not so easily found."

   critus "What is the most fearsome creature?"

   hermagoras "That, my friend, is the King Chimera."
   hermagoras "An astonishing monster that is the most terrifying lion, the most fearsome dragon and the most vicious goat all mounted on the body of a beast the size of a building."
   hermagoras "An entire army could stand against it and lose."

   critus "Where would I find this?"

   hermagoras "I can't say."
   hermagoras "If you make your way to Mycenaea, ask for Lykos."
   hermagoras "He is a man that has seen all of Mycenaea and can surely show you the caves of the King Chimera."

   critus "I will buy all of your oil when I return."

   hermagoras "You have been a very good customer.  I thank you for your business."
   "Hermagoras extends a hand.  His face is stoic and joyless for once."
   "Hermagoras is a man who fears monsters that are not real."

   hide critus
   hide hermagoras
   stop music
   scene black

   if count < 3:
      call screen city_map()
   else:
      jump pick_country

label temple:
   $count += 1
   $temple = 1

   scene black
   "There is not much reason to go to the Temple complex after meeting with Anklemet."
   "Really, He's probably had everything conversation there is to have with the Council and he has much more sway over the Priests and Clerics that hold whatever power the Council cedes to them."
   "Still, there are Makers on the edge of favor that may have ideas too eccentric for official support."
   "Makers who would trust you more than the anyone wearing an official tunic."
   "They may have something hidden in some cave that could devastate the Behemoth or Atlantis itself."
   "The Makers can be exceptionally confused."

   "Melanthiseket is the most likely man to have such a thing."
   "The man spends his days dreaming of wars that will never arrive."
   "Wars that see entire cities vanish in moments, cities vanish in Earth bound sunfire."
   "He will envy Behemoth as much as he would want to destroy it."

   "Melanthiseket lives and works in a small room in the upper part of one of the new two level buildings."
   "A stone stairway wraps around the building and ends in an exceptionally rare door."
   "What's even more strange is that there is a skinny man in dirty tunics already pounding on his door."
   "You recognize this man. It is the council-raver Larist. A man as insightful as he is insane."

   scene temple 
   play music "music/harmony_loneliness.mp3"

   show critus at left
   critus "Larist!"

   "Larist turns to watch you climb the stairs."
   show larist at right
   larist "I am done with the council, I have nothing to say to you."

   critus "I am not from the council."

   larist "I know you, you are ASD.  I've seen you with Ankletem."
   if who == "critus":
      critus "I am here for Melanthiseket."

      "Larist looks you over"
      larist "I suppose you would.  I suppose Ankletem would send you here after all."

      "How would this lunatic know about the monster in the sea?"
      "Perhaps he has managed to have an insight into this, too."
      "Still, quiet means quiet and Ankletem is far from quiet."

      larist "Do you know how many teeth the Behemoth has?"

      critus "I haven't stopped to count."

      "Larist smiles."

      larist "Let me tell you he has forty on each row for a grand total of eighty."
      larist "Each of them are larger than a man."
      larist "The Behemoth can bite through a building as if it were a cracker."
      larist "Atlanteans would be nothing more than a soft filling. I can tell you more."
      larist "I can tell you how many claws it has and how far it can see and I can even tell you what it's name is."

      critus "So tell me."

      larist "You must let me help, Melanthiseket is not home, anyway."
   else:
      hide critus
      show matria at left
      matria "Are you the one that approached the Council?"
      larist "Are you the daughter of XXXXX?"
      matria "I am she. Your visions are very strong. Can you tell me about them?"
      larist "There is nothing to help us on Atlantis. Melanthiseket is not home."
      larist "I will tell you all of my visions as we travel to wherever our answer lies."
      hide matria

   hide larist
   hide critus
   scene black
   stop music

   if count < 3:
      call screen city_map()
   else:
      jump pick_country

label underground:
   $count += 1
   $underground = 1

   "Not everyone in the Mediterranean lives in fear of Egypt."
   "The nation to the south certainly demands respect, and many do fear a day when its strange powers are turned in anger toward Atlantis, but for most Atlanteans they are a distant thought."
   "There is no trade with them and any official contact happens at only the highest levels."
   "In the south of the island, there is a part of the city that hosts many of the invisible and somewhat criminal residents."
   "Folks who have something to hide for criminal or personal reasons."
   "Atlanteans who want to disappear forever or awhile, and just as common, the residents of other nations who seek shelter or escape."

   "These shadow filled alleys are the only place you will find Egyptians in Atlantis."
   "The chariot takes you within a five minute walk, and you enter the streets fully prepared to fend off a burglar or a swindler."
   "You have had missions in this district, but never had a reason to talk to someone."
   "You do know the place to find someone who may be willing to talk details with the ASD."

   scene underground 

   "Antef, a place to eat and a place to drink Egyptian ferments."
   "A place to enjoy the smoke of the furthest Eastern reaches."
   "A place to meet the men who have seen the edge of the world and can tell you what it smells like."
   "A place to also keep a dagger in your boot."

   "You spend several rings buying ferments for the men seated around the room."

   show host at right

   "Eventually, the host tires of you interfering with his guests and happily points you to a man standing near the window and smoking a long clay pipe."

   host "Talk to Amenemhet."

   hide host
   show amenemhet at right
   "Amenemhet lowers his smoking pipe as he turns to look you over."
   "He sets the pipe on the window sill and faces you. His hands are near his sides, possible within reach of whatever Egyptian magic he is carrying on him."

   amenemhet "You are very generous for an ASD soldier."

   if who == "critus":
      show critus at left
      critus "Yes, I guess I am."

      "Amenemhet is good, but its not magic. You are Atlantean in the Belly."
      "You walk like a soldier, you know that."
      "No Atlantean would spend that much money in the Belly unless they wanted to get robbed or had nothing to fear."
      "Amenemhet has been watching you since you got in the place."

      critus "I need to know something about Egypt."

      amenemhet "I don't know how to make the ferments."

      "You laugh, that would be a tough secret to get."

      critus "I need to know what the strongest weapon the Egyptians have is."

      "Amenmhet raises an eyebrow."
      amenemhet "I am not that kind of Egyptian, son of Atlantis."

      critus "I know you know that kind of Egyptian."
      critus "Maybe they really like ferments, or maybe they really like pipes."
      critus "Maybe they really like something else you can provide."
      "You show him your hand full of rings."

      amenemhet "I could just kill you and have those."

      critus "You could, but I am not here on my own time.  These are not my own rings."
      critus "You don't seem like the kind of Egyptian that would profit from being a fugitive in Atlantis."
      critus "There are only so many places to hide."
      critus "Do you imagine Canaan would welcome you?"

      "Amenemhet raises his other eyebrow."

      amenemhet "I am not that kind of Egyptian, either."
      amenemhet "If you find your way to Egypt, you will find the Sphinx of Giza."
      amenemhet "The Sphinx is a thousand ages old."
      amenemhet "Nestled beyond the tail of the lion you will find something much older and much more terrifying than this monster cat."
      amenemhet "You will find something made of the Gods and for the Gods."
      amenemhet "The Gods demand we do not use it and so we don't. For now."
      
      hide critus
   else:
      show critus at left
      critus "Yes, I guess I am."

      "Amenemhet is good, but its not magic. You are an Atlantean in the Belly."
      "You walk like a soldier, you know that."
      "No Atlantean would spend that much money in the Belly unless they wanted to get robbed or had nothing to fear."
      "Amenemhet has been watching you since you got in the place."

      hide critus
      show matria at left

      matria "We need to know something about Egypt."

      amenemhet "I don't know how to make the ferments."
      matria "I have been to Egypt. Can you tell me what the lights in the sky above Giza are?"

      "Amenmhet raises an eyebrow."
      amenemhet "I am not that kind of Egyptian, daughter of Atlantis."

      matria "I think you are that kind of Egyptian."
      "You show him an Egyptian royal scarab."

      amenemhet "I could just kill you for having that."
 
      matria "You didn't believe I had been to Giza. Now you do."
      matria "You don't seem like the kind of Egyptian that would profit from being a fugitive in Atlantis."
      matria "There are only so many places to hide."
      matria "Do you imagine Canaan would welcome you?"

      "Amenemhet raises his other eyebrow."
 
      amenemhet "I am not that kind of Egyptian, either."
      amenemhet "If you find your way to Egypt, you will find the Sphinx of Giza."
      amenemhet "The Sphinx is a thousand ages old."
      amenemhet "Nestled beyond the tail of the lion you will find something much older and much more terrifying than this monster cat."
      amenemhet "You will find something made of the Gods and for the Gods."
      amenemhet "The Gods demand we do not use it and so we don't. For now."

      hide matria
                                                                            
   hide amenemhet

   scene black

   if count < 3:
      call screen city_map()
   else:
      jump pick_country

label bar:
   $count += 1
   $bar = 1

   "There are many wine stores scattered across Atlantis."
   "Some of them open to the public and offer a few drinks for a ring."
   "Atlanteans can sample wines and not have to carry jugs to and from their houses."
   "There are all sorts of people to be found in these Wineries. These people tend to be generous and talkative."
   "A useful stop, no doubt."

   scene bar
   play music "music/medieval_medley.mp3"

   "The layout of the room is not too different from Antef."
   "A collection of jugs and jars, a Winemaker serving the drink into cups, and a scattering of various wealthy Atlanteans  seated at tables and benches."
   "Lute music and smoke fills the room, covering conversation and faces."
   "Critus is no longer feeling generous."
   "On the first pass through the room, he spots Melanthiseket, the \"Mad Maker\" nursing his third cup of wine."
   "You approach the table."

   show critus at left
   critus "Melanthiseket."

   "He looks up from his wine and pushes a drunken smile across his face."
   show melanthiseket at right
   melanthiseket "Do I know you?"
   if who == "critus":
      critus "Not by name.  I work for Ankletem."

      melanthiseket "ASD."
      "Melanthiseket wavers over his drink."

      critus "Yes, I need to know something from you."

      melanthiseket "Oh, what can I tell you that you do not know already?"

      critus "I need to know if you know of a weapon that can destroy a mountain that moves."

      melanthiseket "I am quite certain there is one at the bottom of this cup."
      "He tilts his head back and pours the rest of the wine down his bearded mouth."
      "He shakes the last drops down, swallows and then regards the bottom of the cup with a broad wine-stained smile."

      melanthiseket "Yes, there it is!"

      "Melanthiseket falls face first onto the wooden table as the clay cup shatters on the ground."

      hide critus
   else:
      hide critus
      show matria at left

      matria "We have never met but you are a legend among the council."

      melanthiseket "You are not in the council."
      "Melanthiseket wavers over his drink."

      matria "No. But they would like to know something from you."

      melanthiseket "Oh, what can I tell you that they do not know already?"

      matria "The pillars of Gibraltar have fallen and we need to move them quickly."

      melanthiseket "I am quite certain the answer is at the bottom of this cup."
      "He tilts his head back and pours the rest of the wine down his bearded mouth."
      "He shakes the last drops down, swallows and then regards the bottom of the cup with a broad wine-stained smile."

      melanthiseket "Yes, there it is!"

      "Melanthiseket falls face first onto the wooden table as the clay cup shatters on the ground."

      hide matria
                                                              
   hide melanthiseket
   stop music

   scene black

   if count < 3:
      call screen city_map()
   else:
      jump pick_country

label traders:
   $count += 1
   $trader = 1
   "A few extra rings are needed to convince the local chariot driver to roll over to the Canaanite port in the Eastern coast of Atlantis."
   "Canaanites are friend or foe to most Atlanteans, depending on what the weather is like or what side of the bed they rolled out of."
   "Those who pay attention to world events knew that the Canaanite Question will decide if Egypt rises or falls in the next one hundred years."
   "What Egyptians bring in strange powers, the Canaanites can match in new metals and rare ore."
   "They are rumored to have machines that can fire spears faster than than the eye can see them."

   scene docks

   "The empty ships fill the docks and the air is filled with the smell of strange herbs and spiced meat."
   "They traders are here to sell utensils, jewelry and on rare occasions armor that is strong but bulky."
   "They will not have the weapons here that Atlantis needs, but someone might know where these things can be gotten."
   "Whether with rings or blades."

   "There is a man here often who has been known to sell Canaanite armor to the ASD under the table."
   "He would be the man to ask about a spear large enough to kill a mountain. If there is such a thing."
   "Yet, Yassib is nowhere to be found on the docks. Perhaps in his boat."

   scene traders
   play music "music/after_dark.mp3"

   "Your boots rattle the old wooden docks as you approach the wide boat rocking in the waves of the Mediterranean."
   "As you near the bow of the boat you see Yassib sunning himself."

   show critus at left
   critus "You must have had a good day trading."

   show yassib at right
   yassib "Huh, oh."
   "Yassib smiles in the sunlight as he recognizes you."
   yassib "You are the ASD..Critus?"

   critus "Yes, my friend.  I am Critus and I have a question for you."

   yassib "How many rings do you have for me?"

   critus "I well tell Ankletem you are the best source for all things forged in Canaan."

   "Yassib ponders this with a frozen smile."
   "He knows as well as you do that any arrangement made now is as temporary as the sea breeze."
   "A very short term gain is not as good as a slightly longer term gain in this world."
   "Yassib has been around long enough to see the angles as they are."
   "Any Atlantean favor he can muster is well worth a ring or two."

   yassib "Ask your question, son of Atlantis."
   "The conversation is no longer at a personal level.  This is all business."
   
   critus "Where might I find a weapon that can bring down an enemy the size of a hundred giants?"

   yassib "Another hundred giants?"

   critus "Do you have those in Canaan?"

   yassib "We do not."
   yassib "We may have cannons that can launch a thousand spears at once."
   yassib "Surely a few of those might slow your giants down."
   if who == "critus":                                                             
      yassib "But, no Canaanite will sell these to you when the Egyptians are around."
      yassib "No, this is not something you will gain politely."

      yassib "My friend."
   else:
      matria "No Canaanite will sell those to us when the Egyptians are around."

      yassib "No, they will not sell them. You did not buy that scarab, did you?"                                                           
   hide yassib
   hide critus
   scene black
   stop music

   if count < 3:
      call screen city_map()
   else:
      jump pick_country

label pick_country:
   "You need to get moving, time is getting tight.  Where do you want to go?"

   call screen country_map()

label try_enter_egypt:
   scene black
   if who == "matria":
      show critus at left
      critus "We can't do that Matria, we just aren't ready yet to enter Egypt."
      hide matria
   else:
      show matria at left
      matria "We can't do that, we aren't ready yet to enter Egypt."
      hide matria

   jump pick_country

label enter_mycanaea:
   scene travel_skyfisher

   "The Skyfisher was the only way to get to Mycenaea and back in time to offer kind of hope for Atlantis."
   "Ankletem was more than happy to get you in the sky craft and on your way to the northern coastline."
   "There were a few areas flat enough to land on that were close enough to the port to get to Lykos."
   "Landing nearer to Athens was discussed, but days could be lost just trying to find the King Chimera."
   "You would have no real idea how to get it back to Atlantis and then get it to attack the Behemoth."
   "Lykos's help was needed."

   "The flight is a hop compared to the flight to the Western Ocean and soon your skids are brushing through the weeds and grass just north of the Mycenaean port."
   "An hours walk in the dark and you find yourself on the edge of a loose assembly of storm weathered buildings."

   "Lykos was known by ASD, even if you had never met him personally."
   "He's a large man buried in a larger beard and mane. He's not hard to find."
   "Especially since he has nowhere to be besides in his home or the fish house."

   scene fish_house
   "The fish house is your first stop."
   "You spot him before you are in the door and his loud laugh manages to drown out the din of the other diners."
   "Many heads turn as you walk in the door."
   "You are not fishermen, you are not Mycenaean and your clothes are quite clean for someone who has certainly come across the sea."
   "There is no reason they can't be surprised, word would never reach Atlantis before the Behemoth reached it."
   "You walk over to Lykos, introduce yourself and accept the chair he offers."

   scene black with fade

   "The next morning Lykos leads you north to the countryside and forest beyond the ever-growing city of Athens."
   "The walk is fairly easy and without anything strange or wonderful to behold."
   "He leads you up a winding path that starts as stone but soon surrenders to worn grass and dirt."
   "As the ascent becomes more steep you hear a strange mixture of growling and hissing from around the next bend."
   "Lykos raises his hand and turns toward you. You stop immediately."

   if who == "larist":
      "You smash into Matria's back and she stifles a gasp."
   else:
      "Larist smashes into your back and stifles his own gasp."

   show lykos at right
   lykos "The King Chimera is just ahead. I suspect it is awake, so we may not to let it see us until we have a plan."
   lykos "It will kill us without hesitation."

   show larist at left
   larist "I don't see it."

   lykos "Yes, it is in its cave, just around the bend. You can hear it. We shouldn't linger..."
   lykos "It will smell us sooner or later."

   larist "If I can't see it from here, it is pointless."
   larist "The Behemoth is larger than this hill. The Behemoth could step on that cave."

   lykos "There is no such thing as you describe."

   hide larist

   if who == "matria":
      show matria at left
      matria "There is."
   else:
      show critus at left
      critus "There is."

   lykos "Not in Mycenaea.  I have seen everything here."

   if who == "matria":
      matria "Not now.  But, soon."

      hide matria
   else:
      critus "Not now.  But, soon."

      hide critus
      
   show larist at left
   larist "This is no use.  We should go somewhere else."
   larist "This will not help."

   "The grumbling around the hill turns to something between a yawn and a roar."

   lykos "What do you want to do?"
   lykos "We can return to the cave with a group of guards and subdue the King Chimera, we can leave and never come back, or we can stay and argue about whether or not the King Chimera is big enough to kill your giant Behemoth."

   hide larist
   if who == "matria":
      show matria at left
      matria "You can subdue the King Chimera?"
      matria "With men?"

      lykos "With enough of them, yes.  One or two may die."

      hide matria
   else:
      show critus at left
      critus "You can subdue the King Chimera?"
      critus "With men?"

      lykos "With enough of them, yes.  One or two may die."

      hide critus
   show larist at left
   larist "Do you think the Behemoth would only kill one or two men?  You have seen it!"

   hide lykos
   hide larist
   scene black with fade

   menu:
      "Do you keep arguing?":
         jump keep_arguing
      "Do you go back to Atlantis and try something else?":
         jump return_emptyhanded
      "Do you return with the men and capture the King Chimera?":
         jump capture_king_chimera

label keep_arguing:
   "There is little to argue about."
   "Larist was right, but by the time you could see through the sweat and grime that disguised how right he was, the King Chimera lifts itself out of the cave and glowers at you with all three terrifying heads."
   "This creature is large for certain, and is a monster by every meaning of the word."
   "Sure, it is not bigger than Behemoth, but it is much bigger than you."

   "So much larger that it only takes a flap of its wings before it is upon you."
   "Larist finds himself in the maw of the Serpent, Lykos is handily gored by the Goat and you are lucky enough to have the lion's fangs remove your heart and lungs in one bite."
   "Not painless but quick enough."

   scene bad_end_arguing

   jump end

label capture_king_chimera:
   scene fight_king_chimera

   if who == "larist":
      jump hide_from_king_chimera

   "You return the next day with Lykos and 15 fighters hired from Athens."
   "They look hardened enough and some claim to be legitimate monster killers."
   "They bring with them a wagon, the rope and the hooks they will need to bring the King Chimera down the hill and to a waiting ship."
   "You will then fly ahead and alert Ankletem that the King Chimera is on its way to save Atlantis."

   "Larist disappears in the night. He leaves no note, but you can guess that he is off looking for other solutions."
   "Just as well that he succeeds, three weapons are better than one or two." 

   "The fight to subdue the King Chimera lasts for a minute or two."
   "In the end five of the fighters die, two for the snake, two for the lion and one knocked far into the air by the tail."
   "A combination of wounds and poison drop the King Chimera."
   "The remaining ten fighters are enough to lift the beast into the wagon and get it down the hill."
   "They promise that the poison will last long enough to cage the King Chimera on Atlantis."

   scene back_in_atlantis

   "You fly back to Atlantis and wait for the ship to return two days later."
   "When it arrives, the King Chimera is still asleep and subdued."
   "The beast is caged and carried to the western tip of Atlantis, where it will be released on first sight of the Behemoth."

   scene black with fade

   "When the Behemoth arrives, you are among the first in the air with a Skyfisher."
   "You fly from the eastern airdock, soaring over Atlantis as you rush to engage the massive creature that towers over the island like a living volcanic cloud."
   "The shore canons fire salvo after salvo and the creature barely notices."

   "As you pass the cage with the King Chimera, you see that the cage has already been opened."
   "You also notice the ever widening array of disemboweled and half-eaten Atlanteans that litter the ground around the cage."
   "You turn the Skyfisher to the north, looking to try some of your rockets on it first."

   scene fight_king_chimera

   "A check to your left window reveals that the King Chimera has found you first and found you irresistible."
   "All four claws reach for you as the three mouths reveal their many, many fangs."
   "At least sixty, you think. Twenty less than Behemoth."

   "More than enough, as it turns out."

   scene black with fade

   scene bad_end_fight_king_chimera

   jump end

label hide_from_king_chimera:
   "You spend all night worrying about the upcoming battle.  In the end you decide it's better to run and hide instead of facing the beast."

   scene bad_end_runhide_chimera

   jump end

label enter_canaan:
   scene in_canaan

   show larist at right
   larist "How in the name of the Gods are we going to get a Canaan cannon on this thing?"

   if who == "larist":
      hide larist
      jump enter_canaan_larist

   "He's not wrong."
   "If the canon is large enough to launch a thousand spears, there is no way that it is coming back on the Skyfisher."
   "There is no way they can even move it, most likely."
   "If you find the canon then you will return to Atlantis and then return with a raiding party to bring the canon out of Canaan and back to Atlantis."
   "All without getting noticed by anyone. Including most Atlanteans."

   "The other potential happening is that this canon Yassib spoke of is actually much smaller and something that can be carried by a man."
   "You have heard of these sorts of weapons that can unleash hundreds of miniature spears, more like sling stones, in a minute."
   "Such a weapon, while impressive, would not much offer much hope to an island hoping to defend itself from a monster larger than the tallest peak."
   "ASD knows where all of the Canaan armories are. Or at least they know about all of the ones they know about."
   "Landing near the cities would be a risk best avoided and there was one armory nestled in the hills behind Jerusalem."
   "Enough wilderness stretched from the sea to the hills that a longer flight would make staying away from cities possible."

   "The Skyfisher lands quietly from a long slow glide and you move through grass as silently as you can muster."
   "Larist should be left behind, but he's more of a risk left alone and he might have something important to say if he knows the Behemoth as well as he says he does."

   "The armory is actually a cave which is surrounded by a stockade and a cluster of Canaanite soldiers."
   "The best approach is from the top, dropping down from the rocks above and going directly into the cave's mouth."
   "Getting in and subduing only one of the guards is possible and preferable."
   "Fighting your way out if you are by yourself has slim odds."
   "Fighting your way out with Larist is impossible. Even if he was a soldier once."

   "No, it's down the rope and then up the rope or over the stockade."

   "Larist approves the plan, for what it is worth and not long after you look out over the inside of the stockade and count the guards inside."
   "It's a small contingent, with only six visible guards spotted after an hour of observation."

   show matria at left
   matria "Here we go."

   "You repel down the rope within the ten second window the guard patrol leaves you."
   "You duck inside of the cave and wait for Larist to make his drop."
   "There a softened groan when he hits the ground, but the guard doesn't notice or pretends not to notice."
   "Probably the latter, was there anything worth really worth dying over inside of the cave?"

   "There are all sorts of items in the cave."
   "Hundreds of spears, swords, or shields that demonstrate the Canaan mastery of metal."
   "Nothing useful against Behemoths."

   "Larist whispers to you."
   larist "Over here."

   "You inspect the wooden crate that he is pointing at."
   "There are scores of metal rods with handles, bumps and a widened base."
   "You lift one out of the crate and it is clearly made to be held by one man."
   "These are the hand cannons that you had heard about."
   "These were the canons that could shoot thousands of spears at once, unfortunately they were spears not much longer than your own fingers."

   "Getting the crate out of the armory will not be possible."
   "Larist and you can probably get ten of them out and still make it up the rope and back to the Skyfisher."
   "You doubt that even if every Atlantean had one of these it would make any difference."
   "Maybe there is something in the cave that is even stronger. Something to be discovered."

   hide larist
   hide matria

   menu:
      "Do you explore more of the cave?":
         jump explore_cave
      "Do you leave without the cannons and return to Atlantis empty-handed?":
         jump return_emptyhanded
      "Do you take as many cannons as you can carry?":
         jump overloaded

label enter_canaan_larist:
   scene in_canaan

   show larist at left
   "While you have no doubt about the agent's skills and training, they just don't seem to be thinking this one through."
   "One cannon will not stop a monster half the size of the island, even if they can get it out of Canaan."

   "The agents leads you through the grasses and soon the armory, such as it is, is in sight."
   "In fact it is a cave with a stockade wrapped around it."
   "Canaanite guards peek over the top of the stockade, look outs that aren't seeing anything at all."

   "You agree to the only plan that makes sense. Go over the top of the cave and drop down into the opening with rope lines."
   "Get in and out between patrols and take what you can on the way out."
   "It's been nearly a decade since you've been a soldier but you aren't too old to climb a rope."
   "You could probably take down a guard if you had to."

   "You repel down the rope within the ten second window the guard patrol leaves you."
   "You hit the ground without making a sound and pick your way through the side of the cave opposite of the agent."

   scene in_cave

   "There are all sorts of items in the cave."
   "Hundreds of spears, swords, or shields that demonstrate the Canaan mastery of metal."
   "You spot an open crate and step close enough to see the contents."
   "There are scores of metal rods with handles, bumps and a widened base."

   larist "Over here."

   "You and the agent can probably get ten or more of these out of the cave and up the rope."
   "Even so, they don't seem like they could do much to Behemoth."
   "Maybe there is something better in the cave, something that can level a mountain in the time it takes for Behemoth to take a step."

   hide larist

   menu:
      "Do you explore more of the cave?":
         jump larist_explore_cave
      "Do you leave without the cannons and return to Atlantis empty-handed?":
         jump return_emptyhanded
      "Do you take as many cannons as you can carry?":
         jump larist_take_cannons

label larist_explore_cave:
   scene in_cave

   show larist at left

   "As the agent examines the crates to the south you look over the array of racks that line the northern wall."
   "A glimmer of light catches your eye."
   "The light leads you to a man-sized suit or armor that shines like an Canaanite shield."
   "You run your fingers over the smooth and polished surface."
   "It is like nothing you have ever seen. It might even survive a trip through the Behemoth's belly."

   "Not a crazy plan. Outfit every Atlantean with a suit of armor that will make them impossible to digest."
   "The city will be in ruins but most of the population would just get shat out somewhere else, possibly Canaan."
   "The armor could get returned and all would be fine."

   "You decide to try on the helmet to see how it fits."
   "Carefully, you lift it from the rest of the armor and lift it over your head."
   "The agent is frantically waving and pointing at you for some reason."
   "You are being very quiet so nothing seems amiss."

   "You slide the helmet over your nose."
   "Before you can adjust the eye holes, a massive metallic crash echoes through the cave."
   "A long piece of shin armor settles against your own boots."

   "The guards are yelling and make their way inside the cave."
   "The agent has already raised their arms in surrender."
   "You crouch back into shadows and hope they don't find you."
   "You have Behemoths to kill and you can't do that in a Canaan prison."

   hide larist

   scene bad_end_explore_cave

   jump end

label larist_take_cannons:
   scene in_cave

   show larist at left
   "Getting up the rope and over the top of the cave was not the easiest thing, but you manage it."
   "You have 20 cannons between you, which may not be many, but they are more than none."
   "By the time you reach the Skyfisher your body is screaming to stop, but you make it and help stow the cannons in a storage space behind your passenger seat."

   "You are happy to take the chance to get some exhausted sleep on the way back to Atlantis."
   "These cannons aren't going to stop the monster, but they might have some value."
   "There had to be an option you haven't thought of yet."
   "Something that would kill both Behemoth and the endless dreams of Behemoth."

   "You do sleep. You sleep deep and long enough that the next thing you see is Ankletem leaning into the Skyfisher to pull you out of it."
   "He is smiling and over his shoulder you can see the agent being led away by Atlantean soldiers."

   show ankletem at right

   ankletem "We will need your help, after all, my old friend."

   hide ankletem
   hide larist
   scene bad_end_take_cannons

   jump end

label explore_cave:

   scene in_cave

   show larist at right
   if who == "matria":
      show matria at left
   else:
      show critus at left

   "Larist takes one half of the cave and you take the other."
   "Most of the items are on racks or leaning against the walls."
   "The weapons get older the further back you go, some much older than before the Canaanites discovered their own kind of metalsmithing."
   "A box of crystal knives and swords are interesting, but useless for fighting Behemoth."

   "Larist discovers suits of armor made entirely of the shiny material crafted into shields."
   "The suits look cumbersome but offer full body protection."
   "Larist points eagerly at the suits."
   "You don't need to ask to know what he is thinking."
   "You can't yell to stop him, just shake your hid vigorously and nod no as many times as you can."

   "He doesn't get it or ignores you."
   "Either way he reaches to lift the helmet off of the suit."
   "He doesn't notice that there is a chain that runs from the helmet to the chest plate."
   "The helmet slides easily onto his head."
   "You take two steps forward, as if to stop the next thing from happening."
   "The next thing is the entire suit of armor falling forward and crashing onto the rock floor like a thunderbolt."

   "Guards shout outside of the cave."
   "You drop for cover behind the nearest shield rack."
   "Larist scampers for the cover of a stack of jars. The guards enter the cave with their own hand cannons."

   if who == "matria":
      "You raise your hands and surrender even as Larist is struggling to get the helmet off of his head."
      "If Atlantis survives the next week, they will surely pay a ransom to have you returned."
      "An agreeable story will be concocted by both nations and the order of the Mediterranean will remain the same."
      "Atlantis might even ask to buy a few hundred hand cannons for a very high price."

      "Wouldn't Yabbis be surprised?"
   else:
      "You raise your hands to surrender."
      "There is not enough time to get to the crates of hand cannons and even if you could there would not be enough cover to fight from."
      "Atlantis is friendly with Canaan, so the worst that could happen would he would be recruited into the Canaanite army."
      "There was little chance that Atlantis will bring you home."
      "This isn't so bad, as you think about it."
      "Having Atlantis between you and Behemoth sounds like a good idea, after all."
      "At least here you have all the cannons you could possibly need."

   if who == "matria":
      hide matria
   else:
      hide critus
   hide larist
   scene bad_end_explore_cave

   jump end

label overloaded:
   scene in_cave

   if who == "matria":
      show matria at left
   else:
      show critus at left
   "Getting up the rope and over the top of the cave was not the easiest thing, but you manage it and keep Larist alive too."
   "You have 20 cannons between you, which may not be many, but they are more than none."
   "By the time you reach the Skyfisher your body is screaming to stop, but you make it and stow the cannons in a storage space behind Larist's passenger seat."

   "You worry about the added weight, but a few more notches on the power stick get you back into the sky with no trouble."
   "The flight back to Atlantis is bothered only by Larist's groaning and snoring."

   "After an easy landing, you climb out of the Skyfisher and are greeted by Ankletem and a squad of ASD soldiers."
   "All of them with their swords drawn and directed at you."

   show ankletem at right

   if who == "critus":
      ankletem "I will need these cannons to maintain order when Behemoth arrives."
      ankletem "Please let these men take you into a holding cell until after this chaos has passed."

      "You could take Ankletem and at least half of the soldiers for sure."
      "After that, the odds get worse and you'd still have to fly right back to Canaan or Mycenaea and hope for safety form both Atlantis and Behemoth."

      "Better to bide your time and let Ankletem's short sighted power move play itself out."
      "In prison, your innocence is certain, and Eutechos might finally see your real value."

      "Or Behemoth might destroy everything. That might be just fine, too."
   else:
      ankletem "I will need these cannons to maintain order when Behemoth arrives."
      ankletem "These men will conduct you to your mother who is preparing an evacuation of the Council and key members of society."
      ankletem "You will join them as refugees in Mycenaea until the the monster has been defeated."

      "You stare at him in disbelief."
      "Not because of his stupid power move, but because he thinks will actually have an island to keep order on in a week's time."

      "Mycenaea is far, but not far enough. In a year, you will make sure that Atlantis is nothing more than a fading memory." 
      "Hopefully, Ankletem will have been forgotten altogether."

   if who == "matria":
      hide matria
   else:
      hide critus
   hide ankletem

   scene bad_end_overloaded

   jump end

label return_emptyhanded:
   if who == "larist":
      jump enter_egypt_larist

   scene travel_skyfisher

   "The shores of Atlantis appear in the vast sea under the nose of your Skyfisher."
   "You will be on the ground within the hour."
   "Normally the end of a mission brings some celebration or relief, but today is very different."
   "You\ve eaten up several days and accomplished nothing substantial."
   "Behemoth is less than four days from arrival."

   "The next few hours are crucial if Atlantis is going to survive."

   show larist at right
   larist "You really need to figure something else out"

   if who == "matria":
      show matria at left
      matria "I need to figure something else out?  You aren't really helping."
   else:
      show critus at left
      critus "I can throw you out of the Skyfisher to make it fly faster."

   larist "What about Egypt?"

   if who == "matria":
      matria "Egypt is a bad idea.  We don't know anything about what they might have and we don't know where to find it."
   else:
      critus "What about Egypt?"

   larist "We can just fly there, can't we?  Do we have any other options?"

   if who == "matria":
      matria "We can't do that without Eutecho's approval.  That could have repercussions for everyone and none of them good."
   else:
      critus "We can't just fly into Giza.  I know that much."

   larist "Do we really have a choice? We have three days at the most."
   larist "Are we going to pray to the gods for three days?"
   larist "Do you think negotiations for Egyptian assistance are going to go well?"
   larist "Egypt would just as well see Atlantis turned to rubble."

   "Larist is right again."
   "Just getting a meeting with the Egyptians would take a day or two, and then they would be just as likely to let Atlantis get destroyed and then deal with Behemoth themselves."
   "They would be the savior of the Mediterranean and have plenty of favors to call too."
   "No, Amenemhet knew what he was talking about."
   "Something would have to be stolen from Egypt."
   "Getting Council approval for this would take a day at least, and there was no guarantee all the Council even believe the Behemoth is real. There really was no choice."

   "You wing the Skyfisher toward the south, toward the eastern edge of Egypt."
   "Cutting across Sinai would allow you to land south of Giza, which could be a softer underside."
   "Most of Egypt's defenses face toward the Mediterranean, as you know."
   "You adjust a few degrees more south."

   if who == "critus":
      critus "Egypt it is.  Hang on."
      hide critus
   else:
      matria "Tell me what you know about Giza, Larist.  We've got ninety minutes."
      hide matria

   hide larist
   scene black with fade

   "Below the Skyfisher, the Sinai tapers off into the fertile regions of the Nile Delta."

   scene enter_egypt

   "You allow yourself to marvel at how different things look from the bird's eye view."
   "There are people to be seen from up here and everything is green, stone or water. Very simple."
   "Maybe the way Behemoth will see Atlantis as it approaches. Just an island to walk across."


   "Your Pulse Monitor announces itself with a series of chirps."
   "Once glance reveals an airborne object, smaller than Behemoth but likely twice the size of the Skyfisher."

   if who == "critus":
      show critus at left
      critus "Do they have Skycraft?"
   else:
      show matria at left
      matria "Can they fly?"

   show larist right
   larist "They can rise among the stars."

   "The shape is getting closer and clearly heading towards you."
   "This is an Egyptian welcoming party or defense system. There is no reason to think it is friendly."

   if who == "matria":
      "There is every possibility that they also know you are Atlantean."
      "Atlantis is the only nation that has the power of flight."
      "You can try to face it with your eight rockets but that assumes you can get close enough to hit, that they can hit the craft and that they can do damage to it."

      "You do know that the craft is larger than yours."
      "You can dive and hope to outrun or out turn whatever craft they have."
      "Land somewhere with plenty of nearby cover and run for it."
      "You will be invisible from the air and have time to regroup."

      "This will make infiltration much more difficult, but its better than falling from the sky like a dead seagull."

      "You push the stick forward and jam the power as far forward as it will go."
      "The thermal chambers rumble to sustained howl as the craft shudders as the air blasts across every surface."

      larist "Oh crap!"

      matria "Hold on to your loincloth."

      "The blob on the monitor is moving faster and descending to meet you."
      "You scan the upper part of your window for any sign of the craft."
      "You push the power tight against the floor of the craft."

      "You wonder about you are actually going to slow down enough to land. Usually a Skyfisher glides down from height. You've never done a powered landing."

      "You see it."

      scene egyptian_ship

      "Something like a golden cylinder hanging in the air a few miles ahead of you."
      "The surface is covered with designs and patterns that echo Egyptian writing but may be something else entirely."
      "Unlike the SKyfisher, there are no wings or obvious drive system."

      matria "I see it."
      larist "I see it, too."
      larist "That's big."

      "You dip your nose forward until the Egyptian craft disappears and all you can see is the Nile."
      "The wings rattle against the body of the craft and you worry it all may fall apart before the Egyptians get to you."
      larist "I really wish we could just jump out and float to Earth."

      hide larist
      hide matria
      scene white with fade
      "A flash of light like purple lighting. A searing wave of heat."
      "Energy charges that raise all the hair on your body and kill your thermals, your Pulse Monitor."
      "Pieces fall off."

      scene falling
      "Something is burning. You are falling."

      "You are spinning."

      matria "Can you swim Larist?"
      larist "Better than I can fly."

   else:
      "There are eight rockets on the underside of the Skyfisher."
      "They are best fired at once with the idea that only half of them will do any sort of damage."
      "That is for a target on the ground that is not moving any faster than a horse."

      "So, you are defenseless."
      "However the Egyptians may not know this."
      "They may react defensively to any incoming threat and that may give you a window to escape and land outside of Egyptian borders."
      "You just need to get close enough so the rockets look like they can do some damage."

      "You pull back on the stick and jam the power stick as far forward as it goes."
      "The thermal chambers surge and knock you back into your seat."

      larist "Why are we going towards it?"
      critus "We are bluffing."

      "The Egyptian craft counters the bluff and dives to meet your trajectory."
      "You need to get within 200 feet of the thing for the rockets to be effective at all."
      "That distance will be closed in moments. You move your hands to the rocket release cords."

      larist "Can I jump out now?"

      scene egyptian_ship

      "You can see details on the craft."
      "Designs that look Egyptian, ovals and and spikes that poke out of various surfaces, a series of what could be windows on the side that is face you."
      "Ports on the underside of the windows."

      "Ports that are glowing purple."

      "You pull hard on all eight release cords and the rockets burn their way toward the Egyptians in a long clouds of white smoke and blue flame."
      "You jam the flight stick down and to the left as you see tendrils of purple lightning reaching out from the front of the Egyptian craft."

      critus "Hang on tight."

      "The purple light flashes over everything and you feel a blast push you down and into a twirling descent."
      "The sea and land whips past your window. Pulse monitor is dead. Engines are gone."

      "You look over your shoulder. The engines and wings are actually gone."
      "You are in the half the Skyfisher that is intact. For now."

      hide larist
      hide critus
      scene falling

      "Now the Nile is spinning in circles around you. You are going to crash and you are going to get wet."

      critus "Swim to Egypt."
      larist "We should have tried that in the first place."

   jump end

label enter_egypt_larist:
   scene travel_skyfisher

   "The shores of Atlantis appear outside the Skyfisher window."
   "You will be on the ground within the hour."
   "You've eaten up several days and accomplished nothing substantial."
   "Behemoth is less than four days from arrival. The next few hours are crucial if Atlantis is going to survive."

   show matria at right
   "Matria doesn't seem to share your concern."

   show larist at left
   larist "You really need to figure something else out."

   matria "We can't do that without Eutecho's approval.  That could have repercussions for everyone and none of them good."

   larist "Do we really have a choice?"
   larist "We have three days at the most."
   larist "Are we going to pray to the gods for three days?"
   larist "Do you think negotiations for Egyptian assistance are going to go well?"
   larist "Egypt would just as well see Atlantis turned to rubble."

   "Matria looks like she is listening to you."
   "She should know better than anyone that their are political matters that overshadow everything Atlantis does in the world."
   "They have been set against Egypt for centures and that won't end soon."
   "Unless Behemoth solves the problem to begin with."

   "Marita wings the Skyfisher toward the south, toward the eastern edge of Egypt."
   "Cutting across Sinai would allow you to land south of Giza, which could be a softer underside."
   "Most of Egypt's defenses face toward the Mediterranean, as you know."
   "She sees this too, adjusts a few degrees more south."

   matria "Tell me what you know about Giza, Larist.  We've got ninety minutes."

   hide matria
   hide larist
   scene black with fade

   scene enter_egypt

   "Below the Skyfisher, the Sinai tapers off into the fertile regions of the Nile Delta."
   "You allow yourself to marvel at how different things look from the bird's eye view."
   "There are people to be seen from up here and everything is green, stone or water. Very simple."
   "If only it stayed this way once you were on dry land."

   "You hear the Pulse Monitor announces itself with a series of chirps."
   "You look to the sky ahead of the Skyfisher and see nothing."

   show matria at right
   matria "Can they fly?"

   show larist at left
   larist "They can rise among the stars.  Can you see them?"

   matria "I can see something."
   matria "Look, there is every possibility that they also know we are Atlantean."
   matria "Atlantis is the only nation that has the power of flight."
   matria "We can dive and hope to outrun or out turn whatever craft they have."
   matria "Land somewhere with plenty of nearby cover and run for it. They won't be able to see us."

   "She crams the stick forward and pushes power as far forward as it will go."
   "The thermal chambers rumble to sustained howl, the craft shudders as the air blasts across every surface."

   larist "Oh crap!"

   matria "Hold on to your loincloth."

   "You scan the upper part of your window for any sign of the craft."

   "You wonder about you are actually going to slow down enough to land."
   "Usually a Skyfisher glides down from height. Has anyone ever done a powered landing?"

   "Now you see it."

   scene egyptian_ship

   "Something like a golden cylinder hanging in the air a few miles ahead of you."
   "The surface is covered with designs and patterns that echo Egyptian writing but may be something else entirely."
   "Unlike the Skyfisher, there are no wings or obvious drive system."

   matria "I see it."
   larist "I see it, too."
   larist "That's big."

   "She drops the nose forward until the Egyptian craft disappears and all you can see is the Nile."
   "The wings rattle against the body of the craft and you worry it all may fall apart before the Egyptians get to you."

   larist "I really wish we could just jump out and float to Earth."

   hide larist
   hide matria
   scene white with fade

   "A flash of light like purple lighting. A searing wave of heat."
   "Energy charges that raise all the hair on your body and kill the thermals, the Pulse Monitor. Pieces fall off."

   scene falling

   "Something is burning. You are falling."

   "You are spinning."

   matria "Can you swim Larist?"
   larist "Better than I can fly."

   jump end

label end:
    "The end!"
    return
